<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfADASspnTotals ArrayType
 * @subpackage Arrays
 */
class ArrayOfADASspnTotals extends AbstractStructArrayBase
{
    /**
     * The ADASspnTotals
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ADASspnTotals[]
     */
    public $ADASspnTotals;
    /**
     * Constructor method for ArrayOfADASspnTotals
     * @uses ArrayOfADASspnTotals::setADASspnTotals()
     * @param \StructType\ADASspnTotals[] $aDASspnTotals
     */
    public function __construct(array $aDASspnTotals = array())
    {
        $this
            ->setADASspnTotals($aDASspnTotals);
    }
    /**
     * Get ADASspnTotals value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ADASspnTotals[]|null
     */
    public function getADASspnTotals()
    {
        return isset($this->ADASspnTotals) ? $this->ADASspnTotals : null;
    }
    /**
     * This method is responsible for validating the values passed to the setADASspnTotals method
     * This method is willingly generated in order to preserve the one-line inline validation within the setADASspnTotals method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateADASspnTotalsForArrayConstraintsFromSetADASspnTotals(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfADASspnTotalsADASspnTotalsItem) {
            // validation for constraint: itemType
            if (!$arrayOfADASspnTotalsADASspnTotalsItem instanceof \StructType\ADASspnTotals) {
                $invalidValues[] = is_object($arrayOfADASspnTotalsADASspnTotalsItem) ? get_class($arrayOfADASspnTotalsADASspnTotalsItem) : sprintf('%s(%s)', gettype($arrayOfADASspnTotalsADASspnTotalsItem), var_export($arrayOfADASspnTotalsADASspnTotalsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ADASspnTotals property can only contain items of type \StructType\ADASspnTotals, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ADASspnTotals value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ADASspnTotals[] $aDASspnTotals
     * @return \ArrayType\ArrayOfADASspnTotals
     */
    public function setADASspnTotals(array $aDASspnTotals = array())
    {
        // validation for constraint: array
        if ('' !== ($aDASspnTotalsArrayErrorMessage = self::validateADASspnTotalsForArrayConstraintsFromSetADASspnTotals($aDASspnTotals))) {
            throw new \InvalidArgumentException($aDASspnTotalsArrayErrorMessage, __LINE__);
        }
        if (is_null($aDASspnTotals) || (is_array($aDASspnTotals) && empty($aDASspnTotals))) {
            unset($this->ADASspnTotals);
        } else {
            $this->ADASspnTotals = $aDASspnTotals;
        }
        return $this;
    }
    /**
     * Add item to ADASspnTotals value
     * @throws \InvalidArgumentException
     * @param \StructType\ADASspnTotals $item
     * @return \ArrayType\ArrayOfADASspnTotals
     */
    public function addToADASspnTotals(\StructType\ADASspnTotals $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ADASspnTotals) {
            throw new \InvalidArgumentException(sprintf('The ADASspnTotals property can only contain items of type \StructType\ADASspnTotals, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ADASspnTotals[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ADASspnTotals|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ADASspnTotals|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ADASspnTotals|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ADASspnTotals|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ADASspnTotals|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ADASspnTotals
     */
    public function getAttributeName()
    {
        return 'ADASspnTotals';
    }
}
