<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMobile_addons ArrayType
 * @subpackage Arrays
 */
class ArrayOfMobile_addons extends AbstractStructArrayBase
{
    /**
     * The Mobile_addons
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Mobile_addons[]
     */
    public $Mobile_addons;
    /**
     * Constructor method for ArrayOfMobile_addons
     * @uses ArrayOfMobile_addons::setMobile_addons()
     * @param \StructType\Mobile_addons[] $mobile_addons
     */
    public function __construct(array $mobile_addons = array())
    {
        $this
            ->setMobile_addons($mobile_addons);
    }
    /**
     * Get Mobile_addons value
     * @return \StructType\Mobile_addons[]|null
     */
    public function getMobile_addons()
    {
        return $this->Mobile_addons;
    }
    /**
     * This method is responsible for validating the values passed to the setMobile_addons method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMobile_addons method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMobile_addonsForArrayConstraintsFromSetMobile_addons(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfMobile_addonsMobile_addonsItem) {
            // validation for constraint: itemType
            if (!$arrayOfMobile_addonsMobile_addonsItem instanceof \StructType\Mobile_addons) {
                $invalidValues[] = is_object($arrayOfMobile_addonsMobile_addonsItem) ? get_class($arrayOfMobile_addonsMobile_addonsItem) : sprintf('%s(%s)', gettype($arrayOfMobile_addonsMobile_addonsItem), var_export($arrayOfMobile_addonsMobile_addonsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Mobile_addons property can only contain items of type \StructType\Mobile_addons, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Mobile_addons value
     * @throws \InvalidArgumentException
     * @param \StructType\Mobile_addons[] $mobile_addons
     * @return \ArrayType\ArrayOfMobile_addons
     */
    public function setMobile_addons(array $mobile_addons = array())
    {
        // validation for constraint: array
        if ('' !== ($mobile_addonsArrayErrorMessage = self::validateMobile_addonsForArrayConstraintsFromSetMobile_addons($mobile_addons))) {
            throw new \InvalidArgumentException($mobile_addonsArrayErrorMessage, __LINE__);
        }
        $this->Mobile_addons = $mobile_addons;
        return $this;
    }
    /**
     * Add item to Mobile_addons value
     * @throws \InvalidArgumentException
     * @param \StructType\Mobile_addons $item
     * @return \ArrayType\ArrayOfMobile_addons
     */
    public function addToMobile_addons(\StructType\Mobile_addons $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Mobile_addons) {
            throw new \InvalidArgumentException(sprintf('The Mobile_addons property can only contain items of type \StructType\Mobile_addons, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Mobile_addons[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Mobile_addons|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Mobile_addons|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Mobile_addons|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Mobile_addons|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Mobile_addons|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Mobile_addons
     */
    public function getAttributeName()
    {
        return 'Mobile_addons';
    }
}
