<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GET_TrackerOdometer' => '\\StructType\\GET_TrackerOdometer',
            'GET_TrackerOdometerResponse' => '\\StructType\\GET_TrackerOdometerResponse',
            'OdometerResponse' => '\\StructType\\OdometerResponse',
            'ArrayOfOdometer' => '\\ArrayType\\ArrayOfOdometer',
            'Odometer' => '\\StructType\\Odometer',
            'GET_UserProfile' => '\\StructType\\GET_UserProfile',
            'GET_UserProfileResponse' => '\\StructType\\GET_UserProfileResponse',
            'UserProfileResponse' => '\\StructType\\UserProfileResponse',
            'UserProfile' => '\\StructType\\UserProfile',
            'GET_AccountList' => '\\StructType\\GET_AccountList',
            'GET_AccountListResponse' => '\\StructType\\GET_AccountListResponse',
            'AccountListResponse' => '\\StructType\\AccountListResponse',
            'ArrayOfAccountInfo' => '\\ArrayType\\ArrayOfAccountInfo',
            'AccountInfo' => '\\StructType\\AccountInfo',
            'GET_FleetList' => '\\StructType\\GET_FleetList',
            'GET_FleetListResponse' => '\\StructType\\GET_FleetListResponse',
            'FleetListResponse' => '\\StructType\\FleetListResponse',
            'ArrayOfFleetInfo' => '\\ArrayType\\ArrayOfFleetInfo',
            'FleetInfo' => '\\StructType\\FleetInfo',
            'GET_MobileList' => '\\StructType\\GET_MobileList',
            'GET_MobileListResponse' => '\\StructType\\GET_MobileListResponse',
            'MobileListResponse' => '\\StructType\\MobileListResponse',
            'ArrayOfMobile' => '\\ArrayType\\ArrayOfMobile',
            'Mobile' => '\\StructType\\Mobile',
            'ArrayOfMobile_addons' => '\\ArrayType\\ArrayOfMobile_addons',
            'Mobile_addons' => '\\StructType\\Mobile_addons',
            'GET_TrackerEventsHistory' => '\\StructType\\GET_TrackerEventsHistory',
            'GET_TrackerEventsHistoryResponse' => '\\StructType\\GET_TrackerEventsHistoryResponse',
            'TrackerEventListResponse' => '\\StructType\\TrackerEventListResponse',
            'ArrayOfTrackerEvent' => '\\ArrayType\\ArrayOfTrackerEvent',
            'TrackerEvent' => '\\StructType\\TrackerEvent',
            'ArrayOfEventItinery' => '\\ArrayType\\ArrayOfEventItinery',
            'EventItinery' => '\\StructType\\EventItinery',
            'GET_EventsHistory' => '\\StructType\\GET_EventsHistory',
            'GET_EventsHistoryResponse' => '\\StructType\\GET_EventsHistoryResponse',
            'EventListResponse' => '\\StructType\\EventListResponse',
            'ArrayOfEventLocation' => '\\ArrayType\\ArrayOfEventLocation',
            'EventLocation' => '\\StructType\\EventLocation',
            'GET_LastLocation' => '\\StructType\\GET_LastLocation',
            'GET_LastLocationResponse' => '\\StructType\\GET_LastLocationResponse',
            'GET_NearestEventWhen' => '\\StructType\\GET_NearestEventWhen',
            'GET_NearestEventWhenResponse' => '\\StructType\\GET_NearestEventWhenResponse',
            'GET_LastLocation_Fleet' => '\\StructType\\GET_LastLocation_Fleet',
            'GET_LastLocation_FleetResponse' => '\\StructType\\GET_LastLocation_FleetResponse',
            'GET_ItinerariesHistory' => '\\StructType\\GET_ItinerariesHistory',
            'GET_ItinerariesHistoryResponse' => '\\StructType\\GET_ItinerariesHistoryResponse',
            'ItLogResponse' => '\\StructType\\ItLogResponse',
            'ArrayOfItLog' => '\\ArrayType\\ArrayOfItLog',
            'ItLog' => '\\StructType\\ItLog',
            'ArrayOfItPointLog' => '\\ArrayType\\ArrayOfItPointLog',
            'ItPointLog' => '\\StructType\\ItPointLog',
            'GET_ItinerariesHistory_v2' => '\\StructType\\GET_ItinerariesHistory_v2',
            'GET_ItinerariesHistory_v2Response' => '\\StructType\\GET_ItinerariesHistory_v2Response',
            'GET_EndedItinerariesHistory' => '\\StructType\\GET_EndedItinerariesHistory',
            'GET_EndedItinerariesHistoryResponse' => '\\StructType\\GET_EndedItinerariesHistoryResponse',
            'GET_AlertsHistory' => '\\StructType\\GET_AlertsHistory',
            'GET_AlertsHistoryResponse' => '\\StructType\\GET_AlertsHistoryResponse',
            'AlertListResponse' => '\\StructType\\AlertListResponse',
            'ArrayOfAlert' => '\\ArrayType\\ArrayOfAlert',
            'Alert' => '\\StructType\\Alert',
            'GET_MobileGroups' => '\\StructType\\GET_MobileGroups',
            'GET_MobileGroupsResponse' => '\\StructType\\GET_MobileGroupsResponse',
            'MobileGroupResponse' => '\\StructType\\MobileGroupResponse',
            'ArrayOfMobileGroup' => '\\ArrayType\\ArrayOfMobileGroup',
            'MobileGroup' => '\\StructType\\MobileGroup',
            'GET_FilteredGroups' => '\\StructType\\GET_FilteredGroups',
            'GET_FilteredGroupsResponse' => '\\StructType\\GET_FilteredGroupsResponse',
            'FilteredGroupResponse' => '\\StructType\\FilteredGroupResponse',
            'ArrayOfFilteredGroup' => '\\ArrayType\\ArrayOfFilteredGroup',
            'FilteredGroup' => '\\StructType\\FilteredGroup',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'GET_Itineraries' => '\\StructType\\GET_Itineraries',
            'GET_ItinerariesResponse' => '\\StructType\\GET_ItinerariesResponse',
            'ItineraryResponse' => '\\StructType\\ItineraryResponse',
            'ArrayOfItinerary' => '\\ArrayType\\ArrayOfItinerary',
            'Itinerary' => '\\StructType\\Itinerary',
            'ArrayOfItPoint' => '\\ArrayType\\ArrayOfItPoint',
            'ItPoint' => '\\StructType\\ItPoint',
            'GET_Drivers' => '\\StructType\\GET_Drivers',
            'GET_DriversResponse' => '\\StructType\\GET_DriversResponse',
            'DriverListResponse' => '\\StructType\\DriverListResponse',
            'ArrayOfDriver' => '\\ArrayType\\ArrayOfDriver',
            'Driver' => '\\StructType\\Driver',
            'GET_Drivers_v2' => '\\StructType\\GET_Drivers_v2',
            'GET_Drivers_v2Response' => '\\StructType\\GET_Drivers_v2Response',
            'GET_DriversByStatus' => '\\StructType\\GET_DriversByStatus',
            'GET_DriversByStatusResponse' => '\\StructType\\GET_DriversByStatusResponse',
            'SET_ItAssign' => '\\StructType\\SET_ItAssign',
            'SET_ItAssignResponse' => '\\StructType\\SET_ItAssignResponse',
            'CommandResponse' => '\\StructType\\CommandResponse',
            'SET_ItAssign_v2' => '\\StructType\\SET_ItAssign_v2',
            'SET_ItAssign_v2Response' => '\\StructType\\SET_ItAssign_v2Response',
            'ItAssignResponse' => '\\StructType\\ItAssignResponse',
            'SET_ItCancel' => '\\StructType\\SET_ItCancel',
            'SET_ItCancelResponse' => '\\StructType\\SET_ItCancelResponse',
            'GET_CmdStatus' => '\\StructType\\GET_CmdStatus',
            'GET_CmdStatusResponse' => '\\StructType\\GET_CmdStatusResponse',
            'CmdStatusResponse' => '\\StructType\\CmdStatusResponse',
            'SET_CmdCancel' => '\\StructType\\SET_CmdCancel',
            'SET_CmdCancelResponse' => '\\StructType\\SET_CmdCancelResponse',
            'GET_MobileInfo' => '\\StructType\\GET_MobileInfo',
            'GET_MobileInfoResponse' => '\\StructType\\GET_MobileInfoResponse',
            'MobileInfoResponse' => '\\StructType\\MobileInfoResponse',
            'MobileInfo' => '\\StructType\\MobileInfo',
            'Address' => '\\StructType\\Address',
            'Point' => '\\StructType\\Point',
            'SEND_QuickMessageCfg' => '\\StructType\\SEND_QuickMessageCfg',
            'SEND_QuickMessageCfgResponse' => '\\StructType\\SEND_QuickMessageCfgResponse',
            'GET_DriversHistory' => '\\StructType\\GET_DriversHistory',
            'GET_DriversHistoryResponse' => '\\StructType\\GET_DriversHistoryResponse',
            'DriversLogResponse' => '\\StructType\\DriversLogResponse',
            'ArrayOfDriversLog' => '\\ArrayType\\ArrayOfDriversLog',
            'DriversLog' => '\\StructType\\DriversLog',
            'GET_CounterHistory' => '\\StructType\\GET_CounterHistory',
            'GET_CounterHistoryResponse' => '\\StructType\\GET_CounterHistoryResponse',
            'CounterLogResponse' => '\\StructType\\CounterLogResponse',
            'ArrayOfCounterLog' => '\\ArrayType\\ArrayOfCounterLog',
            'CounterLog' => '\\StructType\\CounterLog',
            'GET_GeolocatedPassengerHistory' => '\\StructType\\GET_GeolocatedPassengerHistory',
            'GET_GeolocatedPassengerHistoryResponse' => '\\StructType\\GET_GeolocatedPassengerHistoryResponse',
            'GeolocatedPassengerLogResponse' => '\\StructType\\GeolocatedPassengerLogResponse',
            'ArrayOfGeolocatedPassengerLog' => '\\ArrayType\\ArrayOfGeolocatedPassengerLog',
            'GeolocatedPassengerLog' => '\\StructType\\GeolocatedPassengerLog',
            'ArrayOfDoor' => '\\ArrayType\\ArrayOfDoor',
            'Door' => '\\StructType\\Door',
            'GET_PassengersCounter' => '\\StructType\\GET_PassengersCounter',
            'GET_PassengersCounterResponse' => '\\StructType\\GET_PassengersCounterResponse',
            'PassengersLogResponse' => '\\StructType\\PassengersLogResponse',
            'ArrayOfPassengersLog' => '\\ArrayType\\ArrayOfPassengersLog',
            'PassengersLog' => '\\StructType\\PassengersLog',
            'SET_Driver' => '\\StructType\\SET_Driver',
            'SET_DriverResponse' => '\\StructType\\SET_DriverResponse',
            'GET_CAN_variables' => '\\StructType\\GET_CAN_variables',
            'GET_CAN_variablesResponse' => '\\StructType\\GET_CAN_variablesResponse',
            'CANVariablesListResponse' => '\\StructType\\CANVariablesListResponse',
            'ArrayOfCANVariables' => '\\ArrayType\\ArrayOfCANVariables',
            'CANVariables' => '\\StructType\\CANVariables',
            'GET_CANEventsHistory' => '\\StructType\\GET_CANEventsHistory',
            'GET_CANEventsHistoryResponse' => '\\StructType\\GET_CANEventsHistoryResponse',
            'CANEventListResponse' => '\\StructType\\CANEventListResponse',
            'ArrayOfCANEventLocation' => '\\ArrayType\\ArrayOfCANEventLocation',
            'CANEventLocation' => '\\StructType\\CANEventLocation',
            'GET_OffLineMobiles' => '\\StructType\\GET_OffLineMobiles',
            'GET_OffLineMobilesResponse' => '\\StructType\\GET_OffLineMobilesResponse',
            'GET_MobileStatusHistory' => '\\StructType\\GET_MobileStatusHistory',
            'GET_MobileStatusHistoryResponse' => '\\StructType\\GET_MobileStatusHistoryResponse',
            'MobileStatusLogResponse' => '\\StructType\\MobileStatusLogResponse',
            'ArrayOfMobileStatusLog' => '\\ArrayType\\ArrayOfMobileStatusLog',
            'MobileStatusLog' => '\\StructType\\MobileStatusLog',
            'GET_CommandList' => '\\StructType\\GET_CommandList',
            'GET_CommandListResponse' => '\\StructType\\GET_CommandListResponse',
            'MobileCommandResponse' => '\\StructType\\MobileCommandResponse',
            'ArrayOfMobileCommand' => '\\ArrayType\\ArrayOfMobileCommand',
            'MobileCommand' => '\\StructType\\MobileCommand',
            'SEND_CommandToMobile' => '\\StructType\\SEND_CommandToMobile',
            'SEND_CommandToMobileResponse' => '\\StructType\\SEND_CommandToMobileResponse',
            'SendCmdResponse' => '\\StructType\\SendCmdResponse',
            'SEND_MsgToMobile' => '\\StructType\\SEND_MsgToMobile',
            'SEND_MsgToMobileResponse' => '\\StructType\\SEND_MsgToMobileResponse',
            'GET_QuickMessageLog' => '\\StructType\\GET_QuickMessageLog',
            'GET_QuickMessageLogResponse' => '\\StructType\\GET_QuickMessageLogResponse',
            'QuickMessageLogResponse' => '\\StructType\\QuickMessageLogResponse',
            'ArrayOfQuickMessageLog' => '\\ArrayType\\ArrayOfQuickMessageLog',
            'QuickMessageLog' => '\\StructType\\QuickMessageLog',
            'GET_LastLocationByPlate' => '\\StructType\\GET_LastLocationByPlate',
            'GET_LastLocationByPlateResponse' => '\\StructType\\GET_LastLocationByPlateResponse',
            'GET_ItPointHistory' => '\\StructType\\GET_ItPointHistory',
            'GET_ItPointHistoryResponse' => '\\StructType\\GET_ItPointHistoryResponse',
            'GET_NextItPointArrival' => '\\StructType\\GET_NextItPointArrival',
            'GET_NextItPointArrivalResponse' => '\\StructType\\GET_NextItPointArrivalResponse',
            'ItPointArrivalResponse' => '\\StructType\\ItPointArrivalResponse',
            'ArrayOfItPointArrival' => '\\ArrayType\\ArrayOfItPointArrival',
            'ItPointArrival' => '\\StructType\\ItPointArrival',
            'GET_MobileOperationInfo' => '\\StructType\\GET_MobileOperationInfo',
            'GET_MobileOperationInfoResponse' => '\\StructType\\GET_MobileOperationInfoResponse',
            'MobileOperationInfoResponse' => '\\StructType\\MobileOperationInfoResponse',
            'ArrayOfMobileOperationInfo' => '\\ArrayType\\ArrayOfMobileOperationInfo',
            'MobileOperationInfo' => '\\StructType\\MobileOperationInfo',
            'SET_InsertDriver' => '\\StructType\\SET_InsertDriver',
            'SET_InsertDriverResponse' => '\\StructType\\SET_InsertDriverResponse',
            'InsertResponse' => '\\StructType\\InsertResponse',
            'SET_UpdateDriver' => '\\StructType\\SET_UpdateDriver',
            'SET_UpdateDriverResponse' => '\\StructType\\SET_UpdateDriverResponse',
            'SET_DeleteDriver' => '\\StructType\\SET_DeleteDriver',
            'SET_DeleteDriverResponse' => '\\StructType\\SET_DeleteDriverResponse',
            'Payments_GetFleets' => '\\StructType\\Payments_GetFleets',
            'Payments_GetFleetsResponse' => '\\StructType\\Payments_GetFleetsResponse',
            'Payments_FleetsResponse' => '\\StructType\\Payments_FleetsResponse',
            'ArrayOfPayments_Fleet' => '\\ArrayType\\ArrayOfPayments_Fleet',
            'Payments_Fleet' => '\\StructType\\Payments_Fleet',
            'Payments_GetFleetRoutes' => '\\StructType\\Payments_GetFleetRoutes',
            'Payments_GetFleetRoutesResponse' => '\\StructType\\Payments_GetFleetRoutesResponse',
            'Payments_RoutesResponse' => '\\StructType\\Payments_RoutesResponse',
            'ArrayOfPayments_Route' => '\\ArrayType\\ArrayOfPayments_Route',
            'Payments_Route' => '\\StructType\\Payments_Route',
            'Payments_GetFleetVehicles' => '\\StructType\\Payments_GetFleetVehicles',
            'Payments_GetFleetVehiclesResponse' => '\\StructType\\Payments_GetFleetVehiclesResponse',
            'Payments_VehiclesResponse' => '\\StructType\\Payments_VehiclesResponse',
            'ArrayOfPayments_vehicle' => '\\ArrayType\\ArrayOfPayments_vehicle',
            'Payments_vehicle' => '\\StructType\\Payments_vehicle',
            'Payments_GetFleetTransferGeofences' => '\\StructType\\Payments_GetFleetTransferGeofences',
            'Payments_GetFleetTransferGeofencesResponse' => '\\StructType\\Payments_GetFleetTransferGeofencesResponse',
            'Payments_TransferGeofencesResponse' => '\\StructType\\Payments_TransferGeofencesResponse',
            'ArrayOfPayments_TransferGeofence' => '\\ArrayType\\ArrayOfPayments_TransferGeofence',
            'Payments_TransferGeofence' => '\\StructType\\Payments_TransferGeofence',
            'Payments_GetFleetDrivers' => '\\StructType\\Payments_GetFleetDrivers',
            'Payments_GetFleetDriversResponse' => '\\StructType\\Payments_GetFleetDriversResponse',
            'Payments_DriversResponse' => '\\StructType\\Payments_DriversResponse',
            'ArrayOfPayments_Driver' => '\\ArrayType\\ArrayOfPayments_Driver',
            'Payments_Driver' => '\\StructType\\Payments_Driver',
            'GET_TripsAndPassengersSummary' => '\\StructType\\GET_TripsAndPassengersSummary',
            'GET_TripsAndPassengersSummaryResponse' => '\\StructType\\GET_TripsAndPassengersSummaryResponse',
            'TripsAndPcSummary_Response' => '\\StructType\\TripsAndPcSummary_Response',
            'TripsAndPcSummary' => '\\StructType\\TripsAndPcSummary',
            'GET_TripsAndPassengersByMId' => '\\StructType\\GET_TripsAndPassengersByMId',
            'GET_TripsAndPassengersByMIdResponse' => '\\StructType\\GET_TripsAndPassengersByMIdResponse',
            'TripsAndPcounter_Response' => '\\StructType\\TripsAndPcounter_Response',
            'ArrayOfTripsAndPcounter' => '\\ArrayType\\ArrayOfTripsAndPcounter',
            'TripsAndPcounter' => '\\StructType\\TripsAndPcounter',
            'GET_mobile_categories_info' => '\\StructType\\GET_mobile_categories_info',
            'GET_mobile_categories_infoResponse' => '\\StructType\\GET_mobile_categories_infoResponse',
            'mobileSpecificationsInfo_Response' => '\\StructType\\MobileSpecificationsInfo_Response',
            'Specifications' => '\\StructType\\Specifications',
            'Get_mobileinfoSpecs' => '\\StructType\\Get_mobileinfoSpecs',
            'Get_mobileinfoSpecsResponse' => '\\StructType\\Get_mobileinfoSpecsResponse',
            'MobileinfoWithSpecs_Response' => '\\StructType\\MobileinfoWithSpecs_Response',
            'MobileInfoWithSpecs' => '\\StructType\\MobileInfoWithSpecs',
            'ArrayOfTag_specs' => '\\ArrayType\\ArrayOfTag_specs',
            'tag_specs' => '\\StructType\\Tag_specs',
            'avl_tag' => '\\StructType\\Avl_tag',
            'ArrayOfAvl_spec' => '\\ArrayType\\ArrayOfAvl_spec',
            'avl_spec' => '\\StructType\\Avl_spec',
            'avl_spec_def' => '\\StructType\\Avl_spec_def',
            'avl_spec_set' => '\\StructType\\Avl_spec_set',
            'Get_ADAS_events' => '\\StructType\\Get_ADAS_events',
            'Get_ADAS_eventsResponse' => '\\StructType\\Get_ADAS_eventsResponse',
            'ADAS_SPNs_Response' => '\\StructType\\ADAS_SPNs_Response',
            'ArrayOfADASspnEvent' => '\\ArrayType\\ArrayOfADASspnEvent',
            'ADASspnEvent' => '\\StructType\\ADASspnEvent',
            'Get_ADAS_events_totals' => '\\StructType\\Get_ADAS_events_totals',
            'Get_ADAS_events_totalsResponse' => '\\StructType\\Get_ADAS_events_totalsResponse',
            'ADAS_SPNs_Totalized_Response' => '\\StructType\\ADAS_SPNs_Totalized_Response',
            'ArrayOfADASspnTotals' => '\\ArrayType\\ArrayOfADASspnTotals',
            'ADASspnTotals' => '\\StructType\\ADASspnTotals',
            'GET_hasItineraryMobilesActive' => '\\StructType\\GET_hasItineraryMobilesActive',
            'GET_hasItineraryMobilesActiveResponse' => '\\StructType\\GET_hasItineraryMobilesActiveResponse',
            'VhsActiveInItineraryResponse' => '\\StructType\\VhsActiveInItineraryResponse',
            'GET_TrackerHorometer' => '\\StructType\\GET_TrackerHorometer',
            'GET_TrackerHorometerResponse' => '\\StructType\\GET_TrackerHorometerResponse',
            'HorometerResponse' => '\\StructType\\HorometerResponse',
            'ArrayOfHorometer' => '\\ArrayType\\ArrayOfHorometer',
            'Horometer' => '\\StructType\\Horometer',
        );
    }
}
