<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for GETO ServiceType
 * @subpackage Services
 */
class GETO extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GET_OffLineMobiles
     * Meta information extracted from the WSDL
     * - documentation: Devuelve el listado de los moviles que llevan mucho tiempo sin reportar
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GET_OffLineMobiles $parameters
     * @return \StructType\GET_OffLineMobilesResponse|bool
     */
    public function GET_OffLineMobiles(\StructType\GET_OffLineMobiles $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GET_OffLineMobiles($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GET_OffLineMobilesResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
