<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for avl_spec_def StructType
 * @subpackage Structs
 */
class Avl_spec_def extends AbstractStructBase
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Id;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $type;
    /**
     * The min
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $min;
    /**
     * The max
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $max;
    /**
     * The parent_type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $parent_type;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The unit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $unit;
    /**
     * The format
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $format;
    /**
     * The extra
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $extra;
    /**
     * Constructor method for avl_spec_def
     * @uses Avl_spec_def::setId()
     * @uses Avl_spec_def::setType()
     * @uses Avl_spec_def::setMin()
     * @uses Avl_spec_def::setMax()
     * @uses Avl_spec_def::setParent_type()
     * @uses Avl_spec_def::setName()
     * @uses Avl_spec_def::setUnit()
     * @uses Avl_spec_def::setFormat()
     * @uses Avl_spec_def::setExtra()
     * @param int $id
     * @param string $type
     * @param float $min
     * @param float $max
     * @param string $parent_type
     * @param string $name
     * @param string $unit
     * @param string $format
     * @param string $extra
     */
    public function __construct($id = null, $type = null, $min = null, $max = null, $parent_type = null, $name = null, $unit = null, $format = null, $extra = null)
    {
        $this
            ->setId($id)
            ->setType($type)
            ->setMin($min)
            ->setMax($max)
            ->setParent_type($parent_type)
            ->setName($name)
            ->setUnit($unit)
            ->setFormat($format)
            ->setExtra($extra);
    }
    /**
     * Get Id value
     * @return int
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\Avl_spec_def
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get type value
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @uses \EnumType\SPEC_TYPE::valueIsValid()
     * @uses \EnumType\SPEC_TYPE::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $type
     * @return \StructType\Avl_spec_def
     */
    public function setType($type = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\SPEC_TYPE::valueIsValid($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\SPEC_TYPE', is_array($type) ? implode(', ', $type) : var_export($type, true), implode(', ', \EnumType\SPEC_TYPE::getValidValues())), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get min value
     * @return float
     */
    public function getMin()
    {
        return $this->min;
    }
    /**
     * Set min value
     * @param float $min
     * @return \StructType\Avl_spec_def
     */
    public function setMin($min = null)
    {
        // validation for constraint: float
        if (!is_null($min) && !(is_float($min) || is_numeric($min))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($min, true), gettype($min)), __LINE__);
        }
        $this->min = $min;
        return $this;
    }
    /**
     * Get max value
     * @return float
     */
    public function getMax()
    {
        return $this->max;
    }
    /**
     * Set max value
     * @param float $max
     * @return \StructType\Avl_spec_def
     */
    public function setMax($max = null)
    {
        // validation for constraint: float
        if (!is_null($max) && !(is_float($max) || is_numeric($max))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($max, true), gettype($max)), __LINE__);
        }
        $this->max = $max;
        return $this;
    }
    /**
     * Get parent_type value
     * @return string|null
     */
    public function getParent_type()
    {
        return $this->parent_type;
    }
    /**
     * Set parent_type value
     * @param string $parent_type
     * @return \StructType\Avl_spec_def
     */
    public function setParent_type($parent_type = null)
    {
        // validation for constraint: string
        if (!is_null($parent_type) && !is_string($parent_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($parent_type, true), gettype($parent_type)), __LINE__);
        }
        $this->parent_type = $parent_type;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\Avl_spec_def
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get unit value
     * @return string|null
     */
    public function getUnit()
    {
        return $this->unit;
    }
    /**
     * Set unit value
     * @param string $unit
     * @return \StructType\Avl_spec_def
     */
    public function setUnit($unit = null)
    {
        // validation for constraint: string
        if (!is_null($unit) && !is_string($unit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($unit, true), gettype($unit)), __LINE__);
        }
        $this->unit = $unit;
        return $this;
    }
    /**
     * Get format value
     * @return string|null
     */
    public function getFormat()
    {
        return $this->format;
    }
    /**
     * Set format value
     * @param string $format
     * @return \StructType\Avl_spec_def
     */
    public function setFormat($format = null)
    {
        // validation for constraint: string
        if (!is_null($format) && !is_string($format)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($format, true), gettype($format)), __LINE__);
        }
        $this->format = $format;
        return $this;
    }
    /**
     * Get extra value
     * @return string|null
     */
    public function getExtra()
    {
        return $this->extra;
    }
    /**
     * Set extra value
     * @param string $extra
     * @return \StructType\Avl_spec_def
     */
    public function setExtra($extra = null)
    {
        // validation for constraint: string
        if (!is_null($extra) && !is_string($extra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($extra, true), gettype($extra)), __LINE__);
        }
        $this->extra = $extra;
        return $this;
    }
}
